Page MenuHomePhabricator

Account creation: Thank You Page landing pages
Closed, ResolvedPublic

Description

This task is for making the landing pages that will be used for upcoming fundraising campaigns in Latin America, India, South Africa.

Campaign summary: The fundraising team maintains the “Thank you page”, which all donors from emails and banners see after completing their donation. We’re hoping to add a permanent call to action for “learn to edit Wikipedia” that goes to the Newcomer features on this page in these countries.
Request Description: Create landing pages for donors clicking on the CTA from the thank you page in English, Spanish (Latin American) and Portuguese (Brazilian). URL parameters are in parentheses.

#Campaign scopeLanguagewiki projectcampaign URL patternBeta URLTest URLProd URL
1Latin AmericaEnglishenwikicampaign=typage-latam-en-2022desktop, mobiledesktop, mobiledesktop, mobile
2Latin AmericaSpanisheswikicampaign=typage-latam-es-2022desktop, mobiledesktop, mobiledesktop, mobile
3Latin AmericaPortugueseptwikicampaign=typage-latam-pt-2022desktop, mobiledesktop, mobile
4IndiaEnglishenwikicampaign=typage-in-en-2022desktop, mobiledesktop, mobiledesktop, mobile
5South AfricaEnglishenwikicampaign=typage-za-en-2022desktop, mobiledesktop, mobiledesktop, mobile

Our Latin America bundle includes Argentina, Brazil, Chile, Colombia, Peru, Mexico, Uruguay.

List of landing pages needed: 5 total forms of landing pages, each with desktop and mobile versions.
Describe user experience after account creation for each page: Users will click on the “learn to edit” CTA on the thank you page and come to the donor-specific create an account page, then be brought to the homepage. They will not go to the welcome survey (even in Spanish Wikipedia even though the welcome email campaign is running there).
Creative assets to be provided: Image(s) for desktop version, (Smaller) image(s) for mobile version, Text copy for desktop, (Reduced) text copy for mobile. Landing pages will have the same heart image as mentioned in this example.
Format of assets: Text for desktop and mobile versions of landing pages.
Text Copy: Fundraising: TY Page landing pages copy
Specify placement of assets for each page: (please use this example to describe the placement of assets for both desktop and mobile versions - where should the image or video go, where should the bolded or non-bolded text go, etc.) Exactly the same design as example
Include standard data disclaimer: Yes

  • English: By creating your account on this page, it will be associated with this campaign for experience and analysis purposes.
  • Spanish: Al crear tu cuenta en esta página, será asociada a esta campaña con fines relacionados con la experiencia y el análisis.
  • Portuguese: Ao criar sua conta nesta página, ela será associada a esta campanha para fins de experiência e análise.

Campaign dates: May 23, 2022, we would need links by May 18 or so to incorporate into TY Page code
Deadline date for providing assets (we will need at least a couple of weeks for testing and making changes): May 2
Name of final approver of the campaign materials: Haley Nordeen & Thea Skaff

Event Timeline

MShilova_WMF renamed this task from Account creation: Thank You Page and Thank You Banners landing pages to Account creation: Thank You Page landing pages.Apr 8 2022, 1:26 PM
MShilova_WMF updated the task description. (Show Details)
MShilova_WMF added subscribers: HNordeenWMF, EYener, Pcoombe.

Following up from a comment from @EYener and @HNordeenWMF on https://phabricator.wikimedia.org/T305694.

If any and all URL's (thank you page and account creation) we want tracked could be parameterized similar to how the thank you page was parameterized last time (https://thankyou.wikipedia.org/wiki/Recurring_donor_page/en?wprov=arde1), that is preferred as it was easily tracked through here.

For reference the Create Account page (https://en.wikipedia.org/wiki/Special:CreateAccount?campaign=growth-recurring-english-2021&geEnabled=1&geNewLandingHtml=1) was not trackable through https://pageviews.wmcloud.org/ last time. It would make the data much easier and quicker to pull if it could be (parameterized similar to https://thankyou.wikipedia.org/wiki/Recurring_donor_page/en?wprov=arde1)

@HNordeenWMF , are we still on track with getting the final version of the text copy by EOD Monday, May 2nd?

Hi Mariya, yes the content is actually ready now!

Here is the document for the Thank You Page landing pages:
https://docs.google.com/document/d/1hVU-M4_nqRsDDmcyMTCM075_3dDnMeeIci7A_DlNU1U/edit#heading=h.7f9qcnvdaqbq

Like the previoius landing pages, I indicated that the bullet points should only be shown on Desktop. This can be your call though: if there's room to show them on Mobile than please go ahead!

MShilova_WMF updated the task description. (Show Details)

I'm going to look over and double-check this task before putting it into Ready for Development.

@MMiller_WMF I just added the Legal disclaimer text/translations into the content docs. Done editing now

MMiller_WMF updated the task description. (Show Details)

Thanks, @HNordeenWMF. I made some of the details more specific on the task description, and now it's ready for development.

Sgs changed the task status from Open to In Progress.May 3 2022, 2:17 PM
Sgs claimed this task.

@MMiller_WMF would you have an example of the entire URL w/campaign parameter?
For @JMando to check

Thanks, @HNordeenWMF. I made some of the details more specific on the task description, and now it's ready for development.

Could you clarify which wiki projects are we speaking of in the table below?

Campaign scope?Languagewiki projectcampaign URL pattern
Latin AmericaEnglisheswiki(campaign=typage-latam-en-2022)
Latin AmericaSpanisheswiki(campaign=typage-latam-es-2022)
Latin AmericaPortugueseptwiki(campaign=typage-latam-pt-2022)
IndiaEnglish?(campaign=typage-in-en-2022)
South AfricaEnglishzawiki(campaign=typage-za-en-2022)

@MMiller_WMF would you have an example of the entire URL w/campaign parameter?
For @JMando to check

We will post the entire URL w/campaign parameter for testing in this task when we have analyzed @JMando request on facilitating the tracking.

Hi @Sgs, it's Wikipedia for all of them. Corrections to your chart:

IndiaEnglishen.wikipedia(campaign=typage-in-en-2022)
South AfricaEnglish*en.wikipedia(campaign=typage-za-en-2022)

Re: URL, sounds good, thank you!

Change 789275 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Account creation: add messageKey to config options

https://gerrit.wikimedia.org/r/789275

Change 789276 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] [WIP] Account creation: add thank you landing pages

https://gerrit.wikimedia.org/r/789276

Change 791007 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] Account creation: enable testing of thankyou page campaign

https://gerrit.wikimedia.org/r/791007

Change 791008 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] Account creation: enable testing of thankyou banner campaign

https://gerrit.wikimedia.org/r/791008

Change 791009 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] Account creation: enable thankyoupage campaign

https://gerrit.wikimedia.org/r/791009

Change 791011 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] Account creation: enable thankyoubanner campaign

https://gerrit.wikimedia.org/r/791011

Change 791009 abandoned by Sergio Gimeno:

[operations/mediawiki-config@master] Account creation: enable thankyoupage campaign

Reason:

Squashed in Ib9ec289b764d1b62bffab258674f9cd57ce74cdb

https://gerrit.wikimedia.org/r/791009

Change 789275 abandoned by Sergio Gimeno:

[mediawiki/extensions/GrowthExperiments@master] Account creation: add messageKey to config options

Reason:

Suqashed into Iea95a7e56415657dddef4a25f6159527d18aeb03

https://gerrit.wikimedia.org/r/789275

Change 791333 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Campaign templates: allow to configure benefits list text

https://gerrit.wikimedia.org/r/791333

Following up from a comment from @EYener and @HNordeenWMF on https://phabricator.wikimedia.org/T305694.

If any and all URL's (thank you page and account creation) we want tracked could be parameterized similar to how the thank you page was parameterized last time (https://thankyou.wikipedia.org/wiki/Recurring_donor_page/en?wprov=arde1), that is preferred as it was easily tracked through here.

The URL https://thankyou.wikipedia.org/wiki/Recurring_donor_page/en?wprov=arde1 is not from a site the Growth team maintains, not sure how tracking works there but it should be possible to do it like in the last thankyou campaign.

For reference the Create Account page (https://en.wikipedia.org/wiki/Special:CreateAccount?campaign=growth-recurring-english-2021&geEnabled=1&geNewLandingHtml=1) was not trackable through https://pageviews.wmcloud.org/ last time. It would make the data much easier and quicker to pull if it could be (parameterized similar to https://thankyou.wikipedia.org/wiki/Recurring_donor_page/en?wprov=arde1)

Visits to the URL https://en.wikipedia.org/wiki/Special:CreateAccount?campaign=growth-recurring-english-2021&geEnabled=1&geNewLandingHtml=1 are counted as page visits in the en.wikipedia.org project but as far as I know there's no ad-hoc mechanism for tracking visits to the Special:CreateAccount page filtering by campaign.

Could you clarify which of the two URLs are we speaking of? And if this is a request for the Growth team? Thank you.

Change 789276 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Account creation: add thank you landing pages

https://gerrit.wikimedia.org/r/789276

@Sgs Since that comment was made, some of the data collection/evaluation plans have changed. Fundraising is tracking donation and banner impression data, and I believe product will be handling the account creation/pageview data. So long as Product is able to track what they need with the current setup, I do not think my comment is relevant anymore.

CC @EYener @HNordeenWMF

Change 790650 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] GrowthExperiments: Update campaigns configuration

https://gerrit.wikimedia.org/r/790650

Change 791007 abandoned by Sergio Gimeno:

[operations/mediawiki-config@master] Account creation: enable thankyoupage campaign

Reason:

squashed in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/790650

https://gerrit.wikimedia.org/r/791007

Change 791008 abandoned by Sergio Gimeno:

[operations/mediawiki-config@master] Account creation: enable testing of thankyou banner campaign

Reason:

squashed in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/790650

https://gerrit.wikimedia.org/r/791008

Change 791011 abandoned by Sergio Gimeno:

[operations/mediawiki-config@master] Account creation: enable thankyoubanner campaign

Reason:

squashed in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/790650

https://gerrit.wikimedia.org/r/791011

Change 790650 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Update campaigns configuration

https://gerrit.wikimedia.org/r/790650

Mentioned in SAL (#wikimedia-operations) [2022-05-16T07:54:21Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: e9a00e8: GrowthExperiments: Update campaigns configuration (T305443, T305659, T307521) (duration: 00m 50s)

Change 791333 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Campaign templates: allow to configure benefits list text

https://gerrit.wikimedia.org/r/791333

Change 792148 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Account creation: add Thank you page texts

https://gerrit.wikimedia.org/r/792148

Change 792149 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] GrowthExperiments: Update campaigns benefit list config

https://gerrit.wikimedia.org/r/792149

Change 792149 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Update campaigns benefit list config

https://gerrit.wikimedia.org/r/792149

Mentioned in SAL (#wikimedia-operations) [2022-05-16T20:14:52Z] <catrope@deploy1002> Synchronized wmf-config: Config: [[gerrit:792149|GrowthExperiments: Update campaigns benefit list config (T305659)]] (duration: 00m 51s)

Testing notes:
(1) Both Fundraising: TY Page landing pages copy and Example custom Create Account landing page include the following text: "Thank you for being a donor." (there is also a variant in Fundraising: TY Page landing pages copy mockup - "Thanks for donating!".)

This phrase is missing when I checked the url in betalabs: https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:CreateAccount&geEnabled=1&campaign=typage-latam-en-2022
Is the change intentional?

Example custom Create Account landing pageCurrent betalabs with &campaign=typage-latam-es-2022Previous Thank you page T284740
Screen Shot 2022-05-16 at 4.49.59 PM.png (775×1 px, 192 KB)
Screen Shot 2022-05-16 at 4.50.19 PM.png (1×2 px, 913 KB)
image.png (1×2 px, 609 KB)

(2) The phrasing of the legal disclaimer has a rather ambiguous reference due to a missing subject:

By creating your account on this page, it will be associated with this campaign for experience and analysis purposes.


[WIP]

#Campaign scopeLanguagewiki projectcampaign URL patternBeta URLTest URLProd URL
1Latin AmericaEnglishenwikicampaign=typage-latam-en-2022desktop ✅ , mobile ✅desktop ✅ , mobiledesktop, mobile
2Latin AmericaSpanisheswikicampaign=typage-latam-es-2022desktop ✅ , mobile ✅desktop ✅ , mobile ✅desktop, mobile
3Latin AmericaPortugueseptwikicampaign=typage-latam-pt-2022desktop ✅ , mobiledesktop, mobile
4IndiaEnglishenwikicampaign=typage-in-en-2022desktop ✅ , mobile ✅desktop✅ , mobiledesktop, mobile
5South AfricaEnglishenwikicampaign=typage-za-en-2022desktop ✅ , mobiledesktop ✅ , mobile ✅desktop, mobile

Change 792478 had a related patch set uploaded (by Gergő Tisza; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.12] Account creation: add Thank you banner texts

https://gerrit.wikimedia.org/r/792478

Change 792148 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Account creation: add Thank you banner texts

https://gerrit.wikimedia.org/r/792148

Change 792478 merged by Gergő Tisza:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.12] Account creation: add Thank you banner texts

https://gerrit.wikimedia.org/r/792478

This phrase is missing when I checked the url in betalabs: https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:CreateAccount&geEnabled=1&campaign=typage-latam-en-2022
Is the change intentional?

I believe this has been fixed now.

(2) The phrasing of the legal disclaimer has a rather ambiguous reference due to a missing subject:

By creating your account on this page, it will be associated with this campaign for experience and analysis purposes.

That's grammatically ambiguous but I doubt people will have trouble figuring out that it's their account and not the signup page that will be associated with the campaign.

This phrase is missing when I checked the url in betalabs: https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:CreateAccount&geEnabled=1&campaign=typage-latam-en-2022
Is the change intentional?

I believe this has been fixed now.

tybanner still doesn;t have see my comment - https://phabricator.wikimedia.org/T305694#7936828. typage displays the phrase.

(2) The phrasing of the legal disclaimer has a rather ambiguous reference due to a missing subject:

By creating your account on this page, it will be associated with this campaign for experience and analysis purposes.

That's grammatically ambiguous but I doubt people will have trouble figuring out that it's their account and not the signup page that will be associated with the campaign.

Still it's not a good practice to keep such grammatical constructs (i.e. dangling modifiers) in UI. I might overthink the issue though - ping @KStoller-WMF (@MMiller_WMF ).

A minor issue - there is an extra line.

typage/tybannerCreate account
Screen Shot 2022-05-17 at 4.06.53 PM.png (1×852 px, 180 KB)
Screen Shot 2022-05-17 at 4.04.25 PM.png (1×828 px, 148 KB)

A minor issue - there is an extra line.

typage/tybannerCreate account
Screen Shot 2022-05-17 at 4.06.53 PM.png (1×852 px, 180 KB)
Screen Shot 2022-05-17 at 4.04.25 PM.png (1×828 px, 148 KB)

Thanks for the heads up. I think the extra line is part of the "campaign template". We have two predefined campaign templates ("hero" and "video") now which differ from the standard Special:CreateAccount page and both include the line in the "original designs".

herovideo
Example custom Create Account landing page (2×3 px, 832 KB)
dev.wiki.local.wmftest.net_22100_w_index.php_title=Special_CreateAccount&campaign=facebook-latam-2022-A&geNewLandingHtml=1&geEnabled=1&mobileaction=toggle_view_mobile(Pixel 5).png (3×1 px, 772 KB)
from this task descriptionfrom T303785#7875683

I agree the line doesn't look great. I think this comes from the scenario we introduced during this phab task where we don't show the benefit list in mobile. Maybe now that things are standard under two templates we could ask for a design review?

Sgs changed the task status from In Progress to Open.May 18 2022, 8:32 AM
Sgs moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.

@Sgs @Etonkovidova @Tgr -- I noticed something strange as I was testing these landing pages. I noticed that when I use a desktop browser to create an account from the mobile site, I get to the following page after account creation. This was on English Wikipedia, where I know the landing pages are not yet present. I did just by going to en.m.wikipedia.org/wiki/Special:CreateAccount without including our landing URLs. But when I went to create an account from my actual mobile device, it did not happen and things were normal. What do you make of this?

image.png (1×2 px, 1 MB)

@Sgs @Etonkovidova @Tgr -- I noticed something strange as I was testing these landing pages. I noticed that when I use a desktop browser to create an account from the mobile site, I get to the following page after account creation. This was on English Wikipedia, where I know the landing pages are not yet present. I did just by going to en.m.wikipedia.org/wiki/Special:CreateAccount without including our landing URLs. But when I went to create an account from my actual mobile device, it did not happen and things were normal. What do you make of this?

image.png (1×2 px, 1 MB)

I can confirm the described behavior. One thing I noticed is that the redirection after the create account form is submitted is to the Desktop site en.wikipedia.org instead of en.m.wikipedia.org. If manually enter the mobile URL I was redirected to the Main_page with proper welcome messages.

Since this is happening in 1.39.0-wmf.10 and seems not directly related to TY page campaign, should we open a separate task @Etonkovidova?

hi all, thanks for the work on these so far! I was looking through the Prod URLs and noticed/wondered two things related to the "Consider using a username other than your real name, as usernames are public and cannot be made private later." text:

  • It's only present on the English pages. should it be present, translated, on es and pt pages?
  • It's nearly the same prominence as the other headlines on mobile, could it be made any smaller?

hi all, thanks for the work on these so far! I was looking through the Prod URLs and noticed/wondered two things related to the "Consider using a username other than your real name, as usernames are public and cannot be made private later." text:

  • It's only present on the English pages. should it be present, translated, on es and pt pages?

Hi @HNordeenWMF - this text was added by an enwiki admin on their own steam, so no, it doesn't need to be added to other language wikis.

  • It's nearly the same prominence as the other headlines on mobile, could it be made any smaller?

I believe this is technically an extra section added <div id=#signupstart"> that is outside of the campaign content area we define. However, @Sgs - wonder if we could add some styling to make it smaller and left aligned (so it is slightly more tied to the username text input it refers to) - something like font-size:0.875em; text-align: left?

I believe this is technically an extra section added <div id=#signupstart"> that is outside of the campaign content area we define. However, @Sgs - wonder if we could add some styling to make it smaller and left aligned (so it is slightly more tied to the username text input it refers to) - something like font-size:0.875em; text-align: left?

There was some prior discussion (task?) about this but I can't find it. IMO we should just add configurable help text to the username field. That would look something like this:

Screenshot Capture - 2022-05-20 - 00-06-59.png (750×913 px, 163 KB)

@Sgs @Etonkovidova @Tgr -- I noticed something strange as I was testing these landing pages. I noticed that when I use a desktop browser to create an account from the mobile site, I get to the following page after account creation. This was on English Wikipedia, where I know the landing pages are not yet present. I did just by going to en.m.wikipedia.org/wiki/Special:CreateAccount without including our landing URLs. But when I went to create an account from my actual mobile device, it did not happen and things were normal. What do you make of this?

image.png (1×2 px, 1 MB)

I can confirm the described behavior. One thing I noticed is that the redirection after the create account form is submitted is to the Desktop site en.wikipedia.org instead of en.m.wikipedia.org. If manually enter the mobile URL I was redirected to the Main_page with proper welcome messages.

Since this is happening in 1.39.0-wmf.10 and seems not directly related to TY page campaign, should we open a separate task @Etonkovidova?

I've seen such redirections but wasn't able to reproduce the issue(s) reliably. It seems it is not related to the scope of this task.

I did some testing following the descriptions in the comments but I'm not sure whether I interpreted those steps correctly. I'll do more testing and if you can provide (very) specific steps to reproduce the issue, it'd be great.

@Etonkovidova if it helps, I was able to replicate the issue described:

  • Open Chrome incognito browser from your desktop computer
  • Navigate to: en.m.wikipedia.org/wiki/Special:CreateAccount
  • Create an account
  • After the account is created, I land on https://en.wikipedia.org/wiki/Special:CentralLogin/complete (no longer on the mobile version) and I see that "No active login attempt is in progress for your session" error.

But my understanding is that this issue is probably a result of testing a use case that is unlikely to happen outside of testing (testing a mobile URL from desktop). Does that seem accurate?

There was some prior discussion (task?) about this but I can't find it. IMO we should just add configurable help text to the username field. That would look something like this:

Screenshot Capture - 2022-05-20 - 00-06-59.png (750×913 px, 163 KB)

@Tgr I agree, that looks better. Should I create a separate task for this? (Would that actually be a Growth task?)

Should we consider this task done or is there unmet acceptance criteria?

@Etonkovidova if it helps, I was able to replicate the issue described:

  • Open Chrome incognito browser from your desktop computer
  • Navigate to: en.m.wikipedia.org/wiki/Special:CreateAccount
  • Create an account
  • After the account is created, I land on https://en.wikipedia.org/wiki/Special:CentralLogin/complete (no longer on the mobile version) and I see that "No active login attempt is in progress for your session" error.

But my understanding is that this issue is probably a result of testing a use case that is unlikely to happen outside of testing (testing a mobile URL from desktop). Does that seem accurate?

There was some prior discussion (task?) about this but I can't find it. IMO we should just add configurable help text to the username field. That would look something like this:

Screenshot Capture - 2022-05-20 - 00-06-59.png (750×913 px, 163 KB)

@Tgr I agree, that looks better. Should I create a separate task for this? (Would that actually be a Growth task?)

Should we consider this task done or is there unmet acceptance criteria?

Found the task filed by a community member here https://phabricator.wikimedia.org/T282494 so would make sense to pick it up there separately if we want to work on that.

Found the task filed by a community member here https://phabricator.wikimedia.org/T282494 so would make sense to pick it up there separately if we want to work on that.

Moved it into the sprint as it's a trivial change.

@Etonkovidova if it helps, I was able to replicate the issue described:

  • Open Chrome incognito browser from your desktop computer
  • Navigate to: en.m.wikipedia.org/wiki/Special:CreateAccount
  • Create an account
  • After the account is created, I land on https://en.wikipedia.org/wiki/Special:CentralLogin/complete (no longer on the mobile version) and I see that "No active login attempt is in progress for your session" error.

But my understanding is that this issue is probably a result of testing a use case that is unlikely to happen outside of testing (testing a mobile URL from desktop). Does that seem accurate?

The steps do reproduce the issue and I agree it's an edge case (creating an account on mobile site from desktop). I checked creating account from a real device (Android) - the issue was not present there.

The scope of this task is done & tested - closing as Resolved.